Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002747 [JEDI VCL] 00 JVCL Components minor always 2005-03-12 14:30 2005-05-19 03:49
Reporter mc_botha View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002747: JvgExportComponents export to Excel outputs unformatted string
Description JvgExportComponents export to Excel outputs unformatted string (.AsString) and not the formatted field in the dataset available through .DisplayText.

In the file "JvgExportComponents.pas", function "TJvgCommonExport.GetFieldValue"
 then line "Result := Field.AsString;" should be changed to "Result := Field.DisplayText;"
Additional Information This isalso be applicable to all the other exports as well.
Tags No tags attached.
Attached Files

- Relationships
related to 0002748resolvedobones JvgExportComponents export to Excel outputs fields set to Invisible 

-  Notes
(0007223)
obones (administrator)
2005-05-18 09:40

Would it be ok if this was controlled by a property ?
(0007232)
anonymous (viewer)
2005-05-18 23:12

Choice is always a good thing - it would be better if the user has the option to choose the output format.
(0007237)
obones (administrator)
2005-05-19 03:49

Thanks, this is now resolved and in CVS.
I've added an "Options" property, set jeoOutputFormattedStrings in it and you'll get the formatted strings.

- Issue History
Date Modified Username Field Change
2005-03-12 14:30 mc_botha New Issue
2005-05-18 09:40 obones Note Added: 0007223
2005-05-18 09:40 obones Status new => feedback
2005-05-18 23:12 anonymous Note Added: 0007232
2005-05-19 03:49 obones Status feedback => resolved
2005-05-19 03:49 obones Resolution open => fixed
2005-05-19 03:49 obones Assigned To => obones
2005-05-19 03:49 obones Note Added: 0007237
2005-05-19 03:49 obones Relationship added related to 0002748


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker